function [x,y,button]=ginput(np,sc)
%[x,y,button]=ginput(np,sc)
%obtain graphic input from the user (A wrapper for the built-in _ginput)

%       S.Halevy 7/31/92
%       Copyright (c) 1992 by the MathWizards

if nargin==1
   t1=_ginput(np);
elseif nargin>=2
   t1=_ginput(np,sc);
else
   error('no input arguments')
end
x=t1(1,:)';
y=t1(2,:)';
button=t1(3,:)';
